Subject: Re: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: martin rudalics <[email-masked]>
Date: Thu, 10 Dec 2020 10:46:28 +0100

> I am trying to see relevance here, maybe I miss something. The
 > built-in completion does not replace the window which I am looking it.
 > It may make its visible part somewhat smaller, but not replace it.
 >
 > Then I change buffers in those windows. Apart from being made somewhat
 > narrower, windows are not replaced by completion.
 >
 > And I did not even use completion. I was entering information on minibuffer.
 >
 >> One thing that has to be considered too is user interaction during
 >> completion: Suppose I have one window, the completion mechanism pops up
 >> a new one and I delete the old one
 >
 > I have not ever see that in built-in Emacs completion. But maybe it exists.
 >
 > I have seen completion poping up new window, but not replacing or
 > deleting other window.

All these scenarios are with customizations.  I'm not experienced enough
to tell whether they (can) happen in practice.

martin